%global _empty_manifest_terminate_build 0
Name:		python-sympy
Version:	1.12
Release:	1
Summary:	Computer algebra system (CAS) in Python
License:	BSD and MIT
URL:		https://sympy.org
Source0:	https://github.com/sympy/sympy/releases/download/sympy-1.12/sympy-1.12.tar.gz
BuildArch:	noarch

Requires:	python3-mpmath

%description
SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS)
 while keeping the code as simple as possible in order to be comprehensible and easily extensible. 
 SymPy is written entirely in Python.

%package -n python3-sympy
Summary:	Computer algebra system (CAS) in Python
Provides:	python-sympy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-sympy
SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS)
while keeping the code as simple as possible in order to be comprehensible and easily extensible. 
SymPy is written entirely in Python.

%package help
Summary:	Development documents and examples for sympy
Provides:	python3-sympy-doc
%description help
SymPy is a Python library for symbolic mathematics. It aims to become a full-featured computer algebra system (CAS)
while keeping the code as simple as possible in order to be comprehensible and easily extensible. 
SymPy is written entirely in Python.

%prep
%autosetup -n sympy-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-sympy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Jun 10 2023 kiritakekumi <root@niconiconi.us> - 1.12-1
- upgrade to 1.12

* Sat Sep 24 2022 guozhengxin <guozhengxin@kylinos.cn> - 1.11.1-1
- Upgrade package to version 1.11.1

* Sat Jun 26 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
